# Interface methods for submodule: SingleValuedNonLinearOptimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import NonLinearOptimizerProxy as _NonLinearOptimizerProxy


# Interface methods for class: SingleValuedNonLinearOptimizer
class SingleValuedNonLinearOptimizerProxy(_NonLinearOptimizerProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetCostFunction(self, costFunction) -> None:
		""""""
		...

	def GetModifiableCostFunction(self):
		""""""
		...

	def GetCostFunction(self):
		""""""
		...

	def GetValue(self, parameters) -> float:
		""""""
		...

